commit:     9683ff07a02f3749aeb9bcba21d137e684bdf9af
Author:     Hank Leininger <hlein <AT> korelogic <DOT> com>
AuthorDate: Wed Nov  6 18:08:41 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 13 05:55:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9683ff07

app-crypt/loop-aes-losetup: add 2.40.2, various fixes

Sync against newer upstream util-linux and loop-aes.
Fix keyring selection when USE=verify-sig.
Updated signature checking logic to match current util-linux package.
Also build loop-aes-mount{,.static} for times when that is needed.
Fix Automake issues.

Closes: https://bugs.gentoo.org/942097
Closes: https://bugs.gentoo.org/942927
Closes: https://bugs.gentoo.org/939689
Closes: https://bugs.gentoo.org/936055
Signed-off-by: Hank Leininger <hlein <AT> korelogic.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/loop-aes-losetup/Manifest                |   4 +
 .../loop-aes-losetup-2.40.2.ebuild                 | 115 +++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/app-crypt/loop-aes-losetup/Manifest 
b/app-crypt/loop-aes-losetup/Manifest
index ea32142a9e07..9164713b4151 100644
--- a/app-crypt/loop-aes-losetup/Manifest
+++ b/app-crypt/loop-aes-losetup/Manifest
@@ -1,6 +1,10 @@
 DIST loop-AES-v3.8b.tar.bz2 411795 BLAKE2B 
51e2c4ddd25f288c5cc5cbbbe20d79951d68bc2b7ecc91fe6eddbb829b297fe6946590512f423efcf5be3c4a1c9ce450c0cf49ed44ac6ad8eb2568468570d48f
 SHA512 
8143649cc9616735cb9a9c8cb8b5c8a709b139e8b41aec444d56c85ef7852d103f657d0d702ffb04783963f0d0e919a6fe4e10b31cd373cd326e546caad90661
 DIST loop-AES-v3.8c.tar.bz2 419257 BLAKE2B 
dd7fe8e4fbc3b58e11ef5440ea81b65d9a1e92e71a81020b9664ae2387dd36da327fddab85bfc27b23ac2f546b7622526ded1424e2c6cd3659e8998f914151db
 SHA512 
d22b4773f42d47a8f499e3234f64a880248ea6a2c7e96b598ec11d3d674fca09d989ef9bbee254b384c9fe17adb009115bcfb932081a326400120c1c4c828779
 DIST loop-AES-v3.8c.tar.bz2.sign 861 BLAKE2B 
aa6c3e2b1e0ab604d92ae6c09fed992f629c7f61b7b62e6d073600f72973ace430e5e0964174a40b63eb703ede4f53098c6deb8af13d663e0bb147a2138a6635
 SHA512 
44ca990fdf55e8c03e85139dfc07dde5ad1cbd3944060ee2c15b3ce54656b7836e7a8839d237a53361c3ba7bdafda39cbbab0f03bd1952e679d1a3a3c2f0930b
+DIST loop-AES-v3.8e.tar.bz2 419394 BLAKE2B 
6051efde9c58ecc56231cc1671ed51a238b829098b0f91fe69a63d6080e7c6c87ce9510db25661058493a0e9f51382b7391509f4d146d491a0c7d20dda4eb05c
 SHA512 
6191dbf2c4f2312c5caa14d124353894856fa9b97807c357ff916a81e8633cd8c9eeeb23d08fb7fb532dae02e0ecf03328f48e75227714e1ad9d1fc8ce27d224
+DIST loop-AES-v3.8e.tar.bz2.sign 861 BLAKE2B 
b220acdbd0c9aadd27abcc7c17818d38e791d3dd9c8f007af09a7fbb3bbcd1e6045fa31a3a13d82f5acfb3da1b6a41da6b6631c130abcd665bf3aa896583cc08
 SHA512 
2c62886e8be40849b8aa44cd36328c121e35428398f742ea3fad1a5cf445e131fe211ed4faeae4c1d2f702a2e4a050a4a5c4ac3eb341b2b5910cb9ce79c5c184
 DIST util-linux-2.39.2.tar.xz 8362220 BLAKE2B 
963c257b86f8a025a3452f102656f479382b9e03dd8ce39b9561302b484c595005aa0bbce9b91422d9be038037143772483363c2a1eec569355316fc8d5d5765
 SHA512 
cebecdd62749d0aeea2c4faf7ad1606426eff03ef3b15cd9c2df1126f216a4ed546d8fc3218c649fa95944eb87a98bb6a7cdd0bea31057c481c5cf608ffc19a3
 DIST util-linux-2.40.1.tar.sign 833 BLAKE2B 
2f8537cd4f52e0c203360d081a91f17c2db13c0f6054ef02f967e8fdf03099bb8c42604864003bfb911ea7804033f4020e2f56a933667fc84ac9c4b8d01e9ed5
 SHA512 
ab73a27fc8601041bf7b8a088586b78c49ca83cf9c8cfe5877280c0b5c607e95695512804335a8c0ac1d243e4433595f44256407fdbfb053451b8ab40d605502
 DIST util-linux-2.40.1.tar.xz 8823784 BLAKE2B 
a51fcf9b63c033e470da4f4f0094f0f923fdeb5a649a5c59d2d44888e5e741dfd95e589247355296e050d9ec8dc4334c5898453af055abcb30082af6b835a3e3
 SHA512 
58ec6eb41d4b6bfc544a80e95c71b5f3798ab4d2a9435d3ee9e5edd56f9b3f09bcb154bdd70e002dc018938937e2e946ae731dcda0f86b362fc43423689e41fc
+DIST util-linux-2.40.2.tar.sign 833 BLAKE2B 
10aae23d25c1364bac0034d6862df5738c7a405d52198fba1e4e9173a1b2ba9f3d994dacb881d920c3339c0f1018c7dd1c97c7752bdf0e8e634f54235c2b3f5c
 SHA512 
e4ace52333df0c8dd7c8ffc3b813020615c456e06a6978e06c8183ec29896be5af7c25f59e65fc2c2849750d8d7b43043775b8504d6d01f626f1adf296493ce1
+DIST util-linux-2.40.2.tar.xz 8854820 BLAKE2B 
8306d651f27db6665e91a937c9f1970938fec5b069636fea3c2688afddebd1a3424f0b0802a034eab049cf7692dd435cf93e82aa5f4a40cc8064d60b4ca59535
 SHA512 
ffe20b915a518a150401d429b0338bc7022190e4ca0ef91a6d9eea345db8c1e11ad01784163b8fcf978506f3f5cad473f29d5d4ef93a4c66a5ae0ebd9fb0c8f2

diff --git a/app-crypt/loop-aes-losetup/loop-aes-losetup-2.40.2.ebuild 
b/app-crypt/loop-aes-losetup/loop-aes-losetup-2.40.2.ebuild
new file mode 100644
index 000000000000..519b56b1f4bf
--- /dev/null
+++ b/app-crypt/loop-aes-losetup/loop-aes-losetup-2.40.2.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/jariruusu.asc
+UTIL_LINUX_VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/karelzak.asc
+inherit autotools flag-o-matic toolchain-funcs verify-sig
+
+MY_PV="${PV/_/-}"
+MY_P="util-linux-${MY_PV}"
+LOOPAES_P="loop-AES-v3.8e"
+
+DESCRIPTION="Loop-AES losetup utility"
+HOMEPAGE="https://www.kernel.org/pub/linux/utils/util-linux/ 
https://github.com/util-linux/util-linux";
+SRC_URI="
+       
https://www.kernel.org/pub/linux/utils/util-linux/v${PV:0:4}/${MY_P}.tar.xz
+       http://loop-aes.sourceforge.net/loop-AES/${LOOPAES_P}.tar.bz2
+       verify-sig? (
+               
https://www.kernel.org/pub/linux/utils/util-linux/v${PV:0:4}/${MY_P}.tar.sign
+               
http://loop-aes.sourceforge.net/loop-AES/${LOOPAES_P}.tar.bz2.sign
+       )
+"
+S="${WORKDIR}/${MY_P}"
+LICENSE="GPL-2 GPL-3 LGPL-2.1 BSD-4 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~sparc ~x86"
+IUSE="nls selinux static"
+
+RDEPEND="
+       selinux? ( >=sys-libs/libselinux-2.2.2-r4 )
+       verify-sig? (
+               >=sec-keys/openpgp-keys-karelzak-20230517
+               >=sec-keys/openpgp-keys-jariruusu-20240521
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+       nls? (
+               app-text/po4a
+               sys-devel/gettext
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/os-headers
+"
+
+PATCHES=(
+       "${WORKDIR}/${LOOPAES_P}/util-linux-${PV}.diff"
+)
+
+src_unpack() {
+
+       # Upstream sign the decompressed .tar
+       if use verify-sig ; then
+               einfo "Unpacking ${MY_P}.tar.xz ..."
+               verify-sig_verify_detached - "${DISTDIR}"/${MY_P}.tar.sign 
"${UTIL_LINUX_VERIFY_SIG_OPENPGP_KEY_PATH}" \
+                       < <(xz -cd "${DISTDIR}"/${MY_P}.tar.xz | tee >(tar -xf 
-))
+               assert "Unpack failed"
+               verify-sig_verify_detached 
"${DISTDIR}"/${LOOPAES_P}.tar.bz2{,.sign}
+               unpack ${LOOPAES_P}.tar.bz2
+       else
+               default
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-lfs-flags
+
+       ECONF_SOURCE=${S} \
+       econf \
+               --disable-all-programs \
+               --disable-libmount-mountfd-support \
+               --disable-liblastlog2 \
+               --disable-pam-lastlog2 \
+               --disable-pylibmount \
+               --disable-uuidd \
+               --enable-libblkid \
+               --enable-libmount \
+               --enable-libsmartcols \
+               --enable-losetup \
+               --enable-mount \
+               --without-btrfs \
+               --without-libz \
+               --without-libmagic \
+               --without-ncurses \
+               --without-ncursesw \
+               --without-python \
+               --without-readline \
+               --without-systemd \
+               --without-tinfo \
+               --without-udev \
+               --without-util \
+               $(use_enable nls) \
+               $(use_with selinux) \
+               $(tc-has-tls || echo --disable-tls) \
+               $(use_enable static) \
+               $(use static && echo --enable-static-programs=losetup,mount)
+}
+
+src_install() {
+       emake install DESTDIR="${T}/root"
+       newsbin "${T}/root/sbin/losetup" loop-aes-losetup
+       newbin "${T}/root/bin/mount" loop-aes-mount
+       newman "${T}/root/usr/share/man/man8/losetup.8" loop-aes-losetup.8
+       newman "${T}/root/usr/share/man/man8/mount.8" loop-aes-mount.8
+       use static && newsbin "${T}/root/bin/losetup.static" 
loop-aes-losetup.static
+       use static && newbin "${T}/root/bin/mount.static" loop-aes-mount.static
+}

Reply via email to